org.apache.tapestry5.internal.parser

## Class CommentToken

- java.lang.Object
- - org.apache.tapestry5.ioc.BaseLocatable
  - - org.apache.tapestry5.internal.parser.TemplateToken
    - - org.apache.tapestry5.internal.parser.CommentToken

- All Implemented Interfaces:
    Locatable, RenderCommand

      public class CommentToken
      extends TemplateToken
      implements RenderCommand

  A node representing a comment embedded in the source input.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `comment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommentToken(java.lang.String comment, Location location)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `render(MarkupWriter writer, RenderQueue queue)` Invoked on an object to request that it render itself.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.tapestry5.internal.parser.TemplateToken

      `getTokenType`

    - ### Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable

      `getLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### comment

          public final java.lang.String comment

  - ### Constructor Detail

    - #### CommentToken

          public CommentToken(java.lang.String comment,
                              Location location)

  - ### Method Detail

    - #### render

          public void render(MarkupWriter writer,
                             RenderQueue queue)

      Description copied from interface: `RenderCommand`
      Invoked on an object to request that it render itself. This involves a mix of invoking methods on the writer, and queueing up additional commands (often, representing children of the object that was invoked) to perform additional rendering. In this way, rendering is a tail recursive algorithm, but is not implemented using tail recursion.
      Specified by:
        `render` in interface `RenderCommand`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.